Copyright: Copyright © 1994 Global Majic Software, Inc.
Citation: Copyright © 1994 Global Majic Software, Inc.


Contents
Global Majic Software, Inc.    Custom Controls

How To Use:

     Aircraft Instrument Controls

What Is Shareware?

Why Register?

Registration.

Product Support

Copyright

Usage


   Aircraft Instrument Control

Properties	Events

Description:

Aircraft Instrument Controls display a variety of small airplane flight instruments including compass, heading indicator, altimeter, vertical speed indicator, and airspeed indicator.  The controls can be used as input controls when MouseControl is set to True.  The controls include bevels for a 3D appearance.

Remarks:

When sizing the controls, keep in mind that smaller instruments update faster.


Why Register?

Register because you find the software useful and you feel the efforts put into writing the code are worth compensating.

Register because you would like to be informed of updates to this software.

Register because you want to encourage the author to spend time to develop other useful shareware software.

Register because you would like to have technical support.

Register because you want to get rid of that annoying sign-on banner.


Usage

The Instrumentation Custom Control Library, AIR.VBX,  is a Microsoft Visual Basic custom control that can be used by placing it on a Visual Basic form. In order for the control to appear in the Visual Basic toolbox, use the Add File command to add the control to your project. Then you can position and size the control as desired on the form.

Once the control is placed on the form, use the properties box to set up gauge type, gauge values, mouse control, control name, etc. Some properties are only available at Design Time and some only at Run Ttime.

A test program using AIR.VBX, AIRTEST.EXE, is included for illustration purposes. Double click on this from the File Manager to start the test program which allows the user to see each gauge type, and to use either the mouse (click Mouse Control ON and then use the mouse to move the needles on the gauges) or slider controls to adjust the values of the gauges.


Registration.

Mail completed form with payment to:

Global Majic Software, Inc.

P.O. Box 322

Madison, Alabama  35758

Make checks or money orders out to:  Global Majic Software, Inc.

Name:	____________________________________

Address:	____________________________________

____________________________________

City, State,Zip:	____________________________________

Phone:	________________

Fax:	________________

CompuServe:	________________

Internet:	________________

QTY	Amount

REGISTRATION: $25 each,  	______	__________

SOURCE CODE

AND REGISTRATION: $55 each	______	__________

Foreign addresses add $5 shipping	__________

Total:	__________


Product Support

Product support for Aircraft Instrument Controls is available to registered users by contacting Global Majic Software, Inc. at the following locations:

Global Majic Software, Inc.

P.O. Box 322

Madison, Alabama  35758

CompuServe:  73261,3642

Internet:   73261.3642@compuserve.com

Product Support is free for a period of three (3) months from the date of registration.


Events
Events:

Change

Click

GotFocus

LostFocus

Turn


Properties
Properties:

AltBarometer	DisplayMode	MousePointer
AltBarometricPressure	Enabled	TabIndex
BackColor	FontSize	TabStop
BevelInner	Height	Tag
BevelOuter	HelpContextID	Top
BevelWidth	Index	Value
BorderWidth	Left	Visible
CompassStyle	MouseControl	Width


AltBarometer
AltBarometer Property

Description

Enables and disables the barometric pressure indicator displayed on the altimeter.

Usage

[form.][control.]AltBarometer[ = boolean ]

Setting

The AltBarometer property settings are:

Setting 	Description

True	Barometric pressure setting is displayed

False	Barometric pressure setting is hidden

Remarks

This property only applies when DisplayMode = 3 (Altimeter).

Data Type

Integer (Boolean)


DisplayMode
DisplayMode Property

Description

Selects the type of instrument being displayed.

Usage

[form.][control.]DisplayMode[ = integer ]

Setting

The DisplayMode property settings are:

Setting 	Description

0	Analog Compass

1	Analog/Digital Compass

2	Heading Indicator

3	Altimeter

4	Vertical Speed Indicator

5	Airspeed Indicator

Data Type

Integer (enumerated)


AltBarometricPressure
AltBarometricPressure Property

Description

This property contains the value of the barometric pressure displayed on the altimeter.

Usage

[form.][control.]AltBarometricPressure[ = single ]

Remarks

This property is only applicable when DisplayMode = 3 (Altimeter) and AltBarometer = TRUE.  The barometric pressure is bound between 20 and 40 inches of mercury.  Changes in the barometric pressure do not affect the altimeter Value.

Data Type

single


BevelOuter
BevelOuter Property

Description

Sets or returns the outer shadow style of the control.

Usage

[form.][control.]BevelOuter[ = integer ]

Setting

The BevelOuter property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.

Data Type

Integer (enumerated)


BevelInner
BevelInner Property

Description

Sets or returns the inner shadow style of the control.

Usage

[form.][control.]BevelInner[ = integer ]

Setting

The BevelInner property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelOuter, BevelWidth, and BorderWidth

Data Type

Integer (enumerated)


BevelWidth
BevelWidth Property

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.][control.]BevelWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BorderWidth.

Data Type

Integer


BorderWidth
BorderWidth Property

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.][control.]BorderWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BevelWidth.

Data Type

Integer


CompassStyle
CompassStyle Property

Description

Determines the display mode of the compass face.

Usage

[form.][control.]CompassStyle[ = integer ]

Setting

The CompassStyle property settings are:

Setting 	Description

0	Stationary.

1	Floating

Remarks

When the CompassStyle = 0 (stationary), the compass face remains stationary while the compass needle points to the control's direction.  When the CompassStyle = 1 (floating), the compass needle always points to the top of the control while the compass face rotates to the control's direction.  This property only applies when DisplayMode = 0 or 1 (compass).

Data Type

Integer (enumerated)


MouseControl
MouseControl Property

Description

Enables and disables mouse input to the control.

Usage

[form.][control.]MouseControl[ = boolean ]

Setting

The MouseControl property settings are:

Setting 	Description

True	Allows the control's Value to be modified with mouse input.

False	Disables mouse input to the control.

Data Type

Integer (Boolean)


Value
Value Property

Description

Sets or returns the instrument's displayed value.

Usage

[form.][control.]Value[ = single ]

Remarks

The compass and heading indicator are bound between 0 and 360 degrees  The vertical airspeed indicator is bound between -2000 and 2000 ft per minute.  The airspeed indicator is bound between 0 and 170 knots, although the display does not register values below 35 knots.

Data Type

single


What Is Shareware?

Shareware distribution gives users a chance to try software before buying it.  If you try a Shareware program and continue using it, you are expected to register.  Individual programs differ in detail -- some request registration while others require it, some specify a maximum trial period.  With registration, you get anything from the simple right to continue using the software to an updated program with printed manual.

Copyright laws apply to both Shareware and commercial software, and the copyright holder retains all rights, with a few specific exceptions as stated below.  Shareware authors are accomplished programmers, just like commercial programmers, and the programs are of comparable quality.  (in both cases there are good programs and bad ones!)  The main difference is in the method of distribution.  The author specifically grants the right to copy and distribute the software, either to all and sundry or to a specific group.  For example, some authors require written permission before a commercial disk vendor may copy their Shareware.

Shareware is a distribution method, not a type of software.  You should find software that suits you needs and pocketbook, whether it's commercial or Shareware.  The Shareware system makes fitting your needs easier, because you can try before you buy.  And because the overhead is low, prices are low also.  Shareware has the ultimate money-back guarantee -- if you don't use the product, you don't pay for it.

DISCLAIMER - AGREEMENT

Users of Aircraft Instrument Controls must accept this disclaimer of warranty: "Aircraft Instrument Controls is supplied as is.  The author disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose.  The author assumes no liability for damages, direct or consequential, which may result from the use of Aircraft Instrument Controls."

Aircraft Instrument Controls is a "shareware program" and is provided at no charge to the user for evaluation.  Feel free to share it with your friends, but please do not give it away altered or as part of another system.  The essence of "user-supported" software is to provide personal computer users with quality software without high prices, and yet to provide incentive for programmers to continue to develop new products.  If you find this program useful and find that you are using Aircraft Instrument Controls and continue to use Aircraft Instrument Controls after a reasonable trial period, you must make a registration payment of $25 to Global Majic Software, Inc.   The $25 registration fee will license one copy for use on any one computer at any one time.  You must treat this software just like a book.  An example is that this software may be used by any number of people and may be freely moved from one computer location to another, so long as there is no possibility of it being used at one location while it's being used by another.  Just as a book cannot be read by two different persons at the same time.

Commercial users of Aircraft Instrument Controls must register and pay for their copies of Aircraft Instrument Controls within 30 days of first use or their license is withdrawn.  Site-License arrangements may be made by contacting Global Majic Software, Inc.

Anyone distributing Aircraft Instrument Controls for any kind of remuneration must first contact Global Majic Software, Inc. at the address below for authorization.

You are encouraged to pass a copy of Aircraft Instrument Controls along to your friends for evaluation.  Please encourage them to register their copy if they find that they can use it.  All registered users will receive a copy of the latest version of Aircraft Instrument Controls.

CONTACTING GLOBAL MAJIC SOFTWARE, INC.

Global Majic Software, Inc.

P.O. Box 322

Madison, Alabama  35758

CompuServe:  73261,3642

Internet:   73261.3642@compuserve.com


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept (see Registration). Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.